[FFmpeg-cvslog] r24353 - trunk/tests/fate-run.sh

mru subversion
Tue Jul 20 14:54:43 CEST 2010


Author: mru
Date: Tue Jul 20 14:54:43 2010
New Revision: 24353

Log:
fate: run diff even if command fails

The diff may provide useful information even if the command was
unsuccessful.  The test is still treated as failed in this case.

Modified:
   trunk/tests/fate-run.sh

Modified: trunk/tests/fate-run.sh
==============================================================================
--- trunk/tests/fate-run.sh	Tue Jul 20 13:52:29 2010	(r24352)
+++ trunk/tests/fate-run.sh	Tue Jul 20 14:54:43 2010	(r24353)
@@ -95,7 +95,8 @@ seektest(){
 
 mkdir -p "$outdir"
 
-$command > "$outfile" 2>/dev/null || exit
+$command > "$outfile" 2>/dev/null
+err=$?
 
 if ! test -e "$ref"; then
     echo "reference file '$ref' not found"
@@ -108,4 +109,6 @@ case $cmp in
     stddev) stddev     "$ref" "$outfile" "$fuzz"    ;;
 esac
 
-test $? = 0 && rm $outfile
+cmperr=$?
+test $err = 0 && err=$cmperr
+test $err = 0 && rm $outfile



More information about the ffmpeg-cvslog mailing list